@keyframes shiny-color {
    0% { color: red; }
    15% { color: orange; }
    30% { color: yellow; }
    45% { color: green; }
    60% { color: cyan; }
    75% { color: blue; }
    90% { color: purple; }
    100% { color: red; }
}

@keyframes shadow-animation-8 {
    0% { text-shadow: 0px 8px 4px #000;}
    25% { text-shadow: 8px 8px 4px #000; }
    50% { text-shadow: 0px 8px 4px #000; }
    75% { text-shadow: -8px 8px 4px #000; }
    100% { text-shadow: 0px 8px 4px #000; }
}

@keyframes shadow-animation-4 {
    0% { text-shadow: 0px 4px 4px #000;}
    25% { text-shadow: 4px 4px 4px #000; }
    50% { text-shadow: 0px 4px 4px #000; }
    75% { text-shadow: -4px 4px 4px #000; }
    100% { text-shadow: 0px 4px 4px #000; }
}

#cnblogs_post_body pre code span {
    font-family: Consolas, monospace;
}

.shiny {
  animation: shiny-color 5s linear 0s infinite;
}

#navList a.menu:hover {
    color: yellow;
    text-shadow: 4px 4px 4px #000;
    background-color: transparent;
}

#navList a.menu {
    text-shadow: 2px 2px 2px #000;
}

#Header1_HeaderTitle {
  animation: shadow-animation-8 5s linear 0s infinite;
}

#blogTitle > h2 {
    animation: shadow-animation-4 5s linear 0s infinite;
    font-family: Consolas,monospace;
}

#blog-news {
    font-family: Consolas,monospace;
}















/* 鏂囩珷鏍囬鏍峰紡(杩欎釜涓嶆槸markdown閲岀殑鏍囬) */
#topics .postTitle a {
    /* color: #169fe6; */
    font-family: Georgia,Times New Roman,Times,sans-serif, monospace;
    font-weight: bold;
}

/* 鏅€氭枃瀛楁牱寮� */
#cnblogs_post_body p {
    margin: 18px auto;
    color: #000;
    font-family: Georgia,Times New Roman,Times,sans-serif, monospace;
    font-size: 16px;
    text-indent: 0;
}

/* 鏍囬鏍峰紡 */
#cnblogs_post_body h1 {
    font-family: Georgia,Times New Roman,Times,sans-serif, monospace;
    font-size: 32px;
    font-weight: bold;
    line-height: 1.5;
    margin: 10px 0;
}

#cnblogs_post_body h2 {
    font-family: Consolas, "Microsoft YaHei", monospace;
    font-size: 26px;
    font-weight: bold;
    line-height: 1.5;
    margin: 20px 0;
}

#cnblogs_post_body h3 {
    font-family: Georgia,Times New Roman,Times,sans-serif, monospace;
    font-size: 20px;
    font-weight: bold;
    line-height: 1.5;
    margin: 10px 0;
}

#cnblogs_post_body h4 {
    font-family: Georgia,Times New Roman,Times,sans-serif, monospace;
    font-size: 18px;
    font-weight: bold;
    margin: 10px 0;
}
/* 鏍囬鏍峰紡璁剧疆缁撴潫 */

/* 鍘婚櫎鍙屼笅鍒掔嚎鏂滀綋鏍峰紡 */
em {
    font-style: normal;
    color: #000;
}

/* 鏃犲簭鍒楄〃 */
#cnblogs_post_body ul li {
    font-family: Georgia,Times New Roman,Times,sans-serif, monospace;
    color: #000;
    font-size: 16px;
    list-style-type: disc;
}

/* 鏈夊簭鍒楄〃 */
#cnblogs_post_body ol li {
    font-family: Georgia,Times New Roman,Times,sans-serif, monospace;
    color: #000;
    font-size: 16px;
    list-style-type: decimal;
}

/* 瓒呴摼鎺� */
#cnblogs_post_body a:link {
    text-decoration: none;
    color: #002C99;
}

/* 寮曠敤鑳屾櫙 */
#topics .postBody blockquote {
    background: #fff3d4;
    border: none;
    border-left: 5px solid #f6b73c;
    margin: 0;
    padding-left: 10px;
}

/* 鍗曡浠ｇ爜 */
.cnblogs-markdown code {
    font-family: Consolas, "Microsoft YaHei", monospace !important;
    font-size: 16px !important;
    line-height: 20px;
    background-color: #f5f5f5 !important;
    border: none !important;
    padding: 0 5px !important;
    border-radius: 3px !important;
    line-height: 1.8;
    margin: 1px 5px;
    vertical-align: middle;
    display: inline-block;
}

/* 澶氳浠ｇ爜, 寮曠敤 */
.cnblogs-markdown .hljs {
    font-family: Consolas, "Microsoft YaHei", monospace !important;
    font-size: 16px !important;
    line-height: 1.5 !important;
    padding: 5px !important;
}

#cnblogs_post_body h1 code, #cnblogs_post_body h2 code {
 font-size: inherit !important;
 border: none !important;
}